Subject: bug#25183: 26.0.50; expanding quoted file name on w32

From: Noam Postavsky <[email-masked]>
Date: Sat, 24 Dec 2016 12:43:24 -0500

On Sat, Dec 24, 2016 at 11:06 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: [email-masked]
>> Cc: [email-masked],  [email-masked]
>> Date: Sat, 24 Dec 2016 08:57:45 -0500
>>
>> If we want to extend the /: quoting to also apply to relative file names
>> too, then the latter makes sense.  Otherwise, the only consistent result
>> would be
>>
>>     (expand-file-name "/:~/path/./file") => (error "/: quoting relative file name")
>
> expand-file-name doesn't signal errors, and I don't think it would be
> a good idea to have it start doing that.

I think the status quo (leaving it inconsistent) is okay too (garbage
in, garbage out).

>
>> As I've said in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25183#29,
>> currently "/:~/foo" is a kind of paradoxical file name, being
>> both/neither relative nor absolute.
>
> file-name-absolute-p is not smart enough to handle this case with the
> rigor we are discussing, so I don't think this aspect is important for
> the purposes of this discussion.  The "/:" quoting was chosen because
> it fools file-name-absolute-p, so the above is not surprising.

I don't think file-name-absolute-p is relevant.